Bug 433671 - pci=nommconf required for montpelier and johannesburg to boot
pci=nommconf required for montpelier and johannesburg to boot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity urgent
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 14:32 EST by Cameron Meadors
Modified: 2008-05-21 11:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:10:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (version 1) (703 bytes, patch)
2008-02-20 14:51 EST, Prarit Bhargava
no flags Details | Diff
RHEL5 Fix for this issue (version 2) (849 bytes, patch)
2008-02-20 17:17 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Cameron Meadors 2008-02-20 14:32:50 EST
Description of problem:

Intel motherboards Johannesburg and Montpelier hang on boot.
 
Version-Release number of selected component (if applicable):

kernel-2.6.18-82.el5

How reproducible:

Everytime

Steps to Reproduce:
1. Boot rhel52 beta nightly on above hardware
2.
3.
  
Actual results:

Hang during kernel 

Expected results:

No hang

Additional info:

This was originally found in Global Desktop(GD).  Prarit scoped it out and had a
fix for it.  GD team decided to add option to anaconda to fix it with the
expectation that the next 5.1 kernel update would have the fix for this. 
Somewhere this got lost.  I imagine that it should also be fixed for 5.1 since
this hardware is certified on 5.1.
Comment 1 Prarit Bhargava 2008-02-20 14:51:48 EST
Created attachment 295444 [details]
RHEL5 fix for this issue (version 1)

I wrote this patch a few months ago -- retesting ATM.

P.
Comment 4 Prarit Bhargava 2008-02-20 17:17:59 EST
Created attachment 295462 [details]
RHEL5 Fix for this issue (version 2)

updated to latest nightly.
Comment 5 RHEL Product and Program Management 2008-02-22 11:19:19 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2008-03-12 15:41:42 EDT
in kernel-$NEW_VER
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Don Zickus 2008-03-12 16:00:22 EDT
in kernel-2.6.18-85.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 Mike Gahagan 2008-04-03 11:17:48 EDT
Confirmed the mmconfig blacklist has been updated with support for these 2
boards in the -88 kernel.
Comment 12 errata-xmlrpc 2008-05-21 11:10:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.